apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: flinkdeployments.flink.apache.org
spec:
  group: flink.apache.org
  versions:
  - name: v1beta1
    served: true
    storage: true
    schema:
      openAPIV3Schema:
        type: object
        x-kubernetes-preserve-unknown-fields: true
    subresources:
      status: {}
  scope: Namespaced
  names:
    plural: flinkdeployments
    singular: flinkdeployment
    kind: FlinkDeployment
---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  name: flinksessionjobs.flink.apache.org
spec:
  group: flink.apache.org
  versions:
  - name: v1beta1
    served: true
    storage: true
    schema:
      openAPIV3Schema:
        type: object
        x-kubernetes-preserve-unknown-fields: true
    subresources:
      status: {}
  scope: Namespaced
  names:
    plural: flinksessionjobs
    singular: flinksessionjob
    kind: FlinkSessionJob
